Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036313
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Localization Pack: Spain] Taxesmajoralways2017-06-22 15:142017-08-16 08:45
ReporterpsanjuanView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision328c05b613e2
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toaferraz
Regression introduced in release
Summary

0036313: New taxes for REAGYP required

DescriptionNew taxes for REAGYP required
Steps To Reproducen/a
Proposed SolutionBelow Business Partner Tax Categories need to be created (Categoría de impuestos de Tercero):

Name = Description = Régimen Especial Agrario sobre Base Imponible (12%) - (ID = 7B57B83A0F6042D096A2D241201F8142)
Name = Description = Régimen Especial Agrario sobre Base Imponible (10%) - (ID = BCCB6D5E142646B28C16A4E023F18603)
Name = Description = Régimen Especial Agrario sobre "bruto" (IVA Incl.) (12%) - (ID = ABA7BDA7362A479CB584FA63C6DCCE8C)
Name = Description = Régimen General Agrario (ID = 85B6B8455443467293F9CDF1A251A301)

A new parameter needs to be created in the Tax Rate window (Rango impuesto), named REAGYP, under "More Information" section.

And below 2 tax rates need to be created.

Tax rate 1:

Name = Adquisiciones IVA 4% -2%R SR REAGYP (ID=5986652FBC2849B68911FDF8FB7CB078)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = Yes
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen General Agrario
REAGYP = SI

Name = Adquisiciones IVA 4% -2%R (4%) SR REAGYP (ID= 4C71C6A7D8654333B3FCA988AF02E8FC)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = NO
Rate (Índice) = 4
Parent tax rate = Adquisiciones IVA 4% - 2%R SR REAGYP
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen General Agrario
REAGYP = SI

Name = Adquisiciones IVA 4% -2%R (-2%) SR REAGYP (ID=84F1A4F694FC4CD5825B18F82E543D40)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = NO
Rate (Índice) = -2
Parent tax rate = Adquisiciones IVA 4% - 2%R SR REAGYP
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen General Agrario
Withholding (Impuesto de retención) = SI
REAGYP = NO


Tax rate 2:

Name = Adquisiciones IVA 12% -2%R SR REAGYP (bruto) (ID = CF2C534552014BE5B2735D45FB152578)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = Yes
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen Especial Agrario sobre "bruto" (IVA Incl.) (12%)
REAGYP = SI

Name = Adquisiciones IVA 12% -2%R (12%) SR REAGYP (bruto) (ID=C5D38DAE66AC46E8BF2A090F97FFECDA)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = NO
Rate (Índice) = 12
Parent tax rate = Adquisiciones IVA 12% -2%R SR REAGYP (bruto)
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen Especial Agrario sobre "bruto" (IVA Incl.) (12%)
REAGYP = SI

Name = Adquisiciones IVA 12% -2%R (-2%) SR REAGYP (bruto) (ID=257BCF46469843B7A627634D51C6C12E)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = NO
Rate (Índice) = -2
Parent tax rate = Adquisiciones IVA 12% -2%R SR REAGYP (bruto)
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen Especial Agrario sobre "bruto" (IVA Incl.) (12%)
Withholding (Impuesto de retención) = SI
REAGYP = NO
En Cascada = Yes

Tax rate 3:

Name = Adquisiciones IVA 12% -2%R SR REAGYP (BI) (ID=8BB0FEA3C0944E29999BDFA41BA2D6CF)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = Yes
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen Especial Agrario sobre base imponible (12%)
REAGYP = SI

Name = Adquisiciones IVA 12% -2%R (12%) SR REAGYP (BI) (ID=A64167C6DEBD48BE9B66CCCC20D1D134)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = NO
Rate (Índice) = 12
Parent tax rate = Adquisiciones IVA 12% -2%R SR REAGYP (BI)
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen Especial Agrario sobre base imponible (12%)
REAGYP = SI

Name = Adquisiciones IVA 12% -2%R (-2%) SR REAGYP (BI) (ID=18011DC790AD45DB9B82FCE69EDAFE7B)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = NO
Rate (Índice) = -2
Parent tax rate = Adquisiciones IVA 12% -2%R SR REAGYP (BI)
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen Especial Agrario sobre base imponible (12%)
Withholding (Impuesto de retención) = SI
REAGYP = NO
En Cascada = NO


Tax rate 4:

Name = Adquisiciones IVA 10% -2%R SR REAGYP (BI) (ID=1047EFBB0C144B78BAA3C39F5A3BD971)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = Yes
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen Especial Agrario sobre Base Imponible (10%)
REAGYP = SI

Name = Adquisiciones IVA 10% -2%R (10%) SR REAGYP (BI) (ID=33719AE6A4CE44D0BF8BA496678D415E)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = NO
Rate (Índice) = 10
Parent tax rate = Adquisiciones IVA 12% -2%R SR REAGYP (BI)
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen Especial Agrario sobre Base Imponible (10%)
REAGYP = SI

Name = Adquisiciones IVA 10% -2%R (-2%) SR REAGYP (BI) (ID=F965F0075ED042358A211A89BB014FF9)
Valid from = 01-01-2016
Tax Category = IVA Super Reducido
Nivel Agrupación (Summary ) = NO
Rate (Índice) = -2
Parent tax rate = Adquisiciones IVA 12% -2%R SR REAGYP (BI)
Country / Destination Country = Spain
Tax Type = Purchase tax (Impuesto Compras)
BP Tax Category (Categoría de impuesto de proveedor) = Régimen Especial Agrario sobre base imponible (10%)
Withholding (Impuesto de retención) = SI
REAGYP = NO
En Cascada = NO








TagsNo tags attached.
Attached Filesxls file icon impuestos agrarios con IDs_Revisado.xls [^] (9,728 bytes) 2017-07-04 12:47

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0036544 closedaferraz New configuration required in "Tax Category" window. 

-  Notes
(0097834)
psanjuan (manager)
2017-07-04 12:46

Ver fichero excel adjunto.
(0098420)
hgbot (developer)
2017-08-08 10:47

Repository: erp/mods/org.openbravo.module.taximprovements.ES
Changeset: b3c06b49f90dd8369d39a231c40d580c692c6028
Author: Ignacio Monferrer <imonferrer <at> opentix.es>
Date: Mon Aug 07 09:06:16 2017 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.taximprovements.ES/rev/b3c06b49f90dd8369d39a231c40d580c692c6028 [^]

Fixes issues 36544 & Fixes issue 36313

36544: New configuration required in "Tax Category" window (tax type, transaction type, rate type).
36313: A new parameter needs to be created in the Tax Rate window (Rango impuesto), named REAGYP, under "More Information" section.

---
M src-db/database/model/modifiedTables/C_TAX.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MODULE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
A src-db/database/model/modifiedTables/C_TAXCATEGORY.xml
---
(0098422)
hgbot (developer)
2017-08-08 10:47

Repository: erp/mods/org.openbravo.module.taximprovements.ES
Changeset: 8d22733ce6aa604905b5783c2b140ba9c49c22fd
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Aug 08 10:27:38 2017 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.taximprovements.ES/rev/8d22733ce6aa604905b5783c2b140ba9c49c22fd [^]

Related to issue 36544 & Related to issue 36313: Run synchronize terminology

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0098430)
hgbot (developer)
2017-08-08 13:42

Repository: erp/mods/org.openbravo.localization.spain.referencedata.taxes
Changeset: 328c05b613e2bf3407df2da2b11cfc62204f35f0
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Aug 07 14:23:21 2017 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.localization.spain.referencedata.taxes/rev/328c05b613e2bf3407df2da2b11cfc62204f35f0 [^]

Fixes issue 36313 & Fixes issue 35987 & Fixes issue 36545 & Fixes issue 36116

---
M referencedata/standard/Impuestos_ES.xml
M src-db/database/sourcedata/AD_DATASET.xml
M src-db/database/sourcedata/AD_MODULE.xml
M src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
---
(0098515)
aferraz (developer)
2017-08-16 08:45

Code review OK

- Issue History
Date Modified Username Field Change
2017-06-22 15:14 psanjuan New Issue
2017-06-22 15:14 psanjuan Assigned To => Triage Finance
2017-06-22 15:30 psanjuan Proposed Solution updated
2017-06-22 15:39 psanjuan Proposed Solution updated
2017-06-23 10:03 psanjuan Proposed Solution updated
2017-06-23 10:05 psanjuan Proposed Solution updated
2017-06-23 10:06 psanjuan Proposed Solution updated
2017-06-23 10:09 psanjuan Proposed Solution updated
2017-06-23 10:22 psanjuan Proposed Solution updated
2017-06-23 10:28 psanjuan Proposed Solution updated
2017-06-26 15:20 psanjuan Proposed Solution updated
2017-06-26 15:23 psanjuan Proposed Solution updated
2017-06-27 14:25 psanjuan Proposed Solution updated
2017-06-27 14:27 psanjuan Proposed Solution updated
2017-06-27 14:28 psanjuan Proposed Solution updated
2017-06-28 09:56 psanjuan Proposed Solution updated
2017-06-30 13:27 psanjuan Proposed Solution updated
2017-06-30 13:32 psanjuan Proposed Solution updated
2017-06-30 13:41 psanjuan Proposed Solution updated
2017-06-30 13:42 psanjuan Proposed Solution updated
2017-06-30 13:43 psanjuan Proposed Solution updated
2017-07-04 12:45 psanjuan Proposed Solution updated
2017-07-04 12:46 psanjuan Note Added: 0097834
2017-07-04 12:47 psanjuan File Added: impuestos agrarios con IDs_Revisado.xls
2017-07-05 11:11 psanjuan Proposed Solution updated
2017-08-08 10:47 hgbot Checkin
2017-08-08 10:47 hgbot Note Added: 0098420
2017-08-08 10:47 hgbot Status new => resolved
2017-08-08 10:47 hgbot Resolution open => fixed
2017-08-08 10:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/mods/org.openbravo.module.taximprovements.ES/rev/b3c06b49f90dd8369d39a231c40d580c692c6028 [^]
2017-08-08 10:47 hgbot Checkin
2017-08-08 10:47 hgbot Note Added: 0098422
2017-08-08 10:49 aferraz Assigned To Triage Finance => aferraz
2017-08-08 10:55 aferraz Relationship added related to 0036544
2017-08-08 13:42 hgbot Checkin
2017-08-08 13:42 hgbot Note Added: 0098430
2017-08-08 13:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/mods/org.openbravo.module.taximprovements.ES/rev/b3c06b49f90dd8369d39a231c40d580c692c6028 [^] => http://code.openbravo.com/erp/mods/org.openbravo.localization.spain.referencedata.taxes/rev/328c05b613e2bf3407df2da2b11cfc62204f35f0 [^]
2017-08-16 08:45 aferraz Review Assigned To => aferraz
2017-08-16 08:45 aferraz Note Added: 0098515
2017-08-16 08:45 aferraz Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker